Skip to main content

Create Company

Endpoint: POST /companies

Authentication: X-API-Key: {{apiKey}}

Request​

Headers​

NameTypeRequiredDescription
AuthorizationstringYesX-API-Key for authentication

Request Body​

NameTypeRequiredDescription
namestringYesThe display name of the new company (e.g. "BProjects")
baseCurrencyStringstringYesThe ISO 4217 currency code for the company's base currency (e.g. "USD")
isPrimarybooleanNoWhether this company is the user's primary/ main company (e.g. true)

Request Schema​

{
"headers": {
"X-API-Key": "{{apiKey}}"
},
"body": {
"name": "BProjects",
"baseCurrencyString": "USD",
"isPrimary": true
}
}